### GET /api/v2/spaces/{spaceID}/notifications/silencing/rules
Source: https://app.netdata.cloud/api/docs/swagger.json
Retrieve the Alert Notification Silencing Rules of a given space
```markdown
### Parameters
- **spaceID** (string, path, required): The unique identifier of the requested space.
### Responses
#### 200 - The available Silencing Rules
Empty response body
#### 401 - `"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
`"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
#### 403 - `"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or retrieve Alert Notification Silencing Rules
`"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or retrieve Alert Notification Silencing Rules
#### 422 - `"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
`"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
#### 500 - `"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
`"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
### Example Usage
```bash
curl -X GET "https://api.example.com/api/v2/spaces/{spaceID}/notifications/silencing/rules"
```
```
--------------------------------
### API Overview: Netdata Cloud API
Source: https://app.netdata.cloud/api/docs/swagger.json
Netdata Cloud API Documentation
```yaml
# Netdata Cloud API
# Version: 0.0.1
Netdata Cloud API Documentation
# Base URL: Not specified
```
--------------------------------
### POST /api/v3/spaces/{spaceID}/rooms/{roomID}/data
Source: https://app.netdata.cloud/api/docs/swagger.json
Multi-node, multi-context, multi-instance, multi-dimension data queries, with time and metric aggregation.
```markdown
### Parameters
- **payload** (github_com_netdata_cloud-charts-service_internal_model.ScopeDataRequest, body, required): The request payload defining the context data aggregation.
- **spaceID** (string, path, required): The unique identifier of the requested space.
- **roomID** (string, path, required): The unique identifier of the requested room.
### Responses
#### 200 - OK
Empty response body
#### 400 - `"errorCode": "ErrBadRequest"`: when invalid query parameters/req. payload are provided
`"errorCode": "ErrBigAgentResponses"`: when Agents return big responses and the caller needs to filter further, reduce the amount of requested `points` or use parents
`"errorCode": "ErrNoEligibleNodeRequested"`: when no eligible nodes were targeted due to space plan restrictions
`"errorCode": "ErrAllNodesFailed"`: when all Agent requests failed, details on every failure are included
`"errorCode": "ErrBadRequest"`: when invalid query parameters/req. payload are provided
`"errorCode": "ErrBigAgentResponses"`: when Agents return big responses and the caller needs to filter further, reduce the amount of requested `points` or use parents
`"errorCode": "ErrNoEligibleNodeRequested"`: when no eligible nodes were targeted due to space plan restrictions
`"errorCode": "ErrAllNodesFailed"`: when all Agent requests failed, details on every failure are included
#### 401 - `"errorCode": "ErrUnauthorized"`: when the caller is not authenticated or not authorized to access this resource
`"errorCode": "ErrUnauthorized"`: when the caller is not authenticated or not authorized to access this resource
#### 500 - `"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
`"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
### Example Usage
```bash
curl -X POST "https://api.example.com/api/v3/spaces/{spaceID}/rooms/{roomID}/data"
```
```
--------------------------------
### POST /api/v2/spaces/{spaceID}/notifications/silencing/rule
Source: https://app.netdata.cloud/api/docs/swagger.json
Creates an Alert Notification Silencing Rule according to the specifications provided
```markdown
### Parameters
- **rule** (github_com_netdata_cloud-api-docs_cloud-alarm-processor-service_api.silencingRule, body, required): The Silencing Rule definition
- **spaceID** (string, path, required): The unique identifier of the requested space.
### Responses
#### 200 - The newly created Silencing Rule
Empty response body
#### 400 - `"errorCode": "ErrBadRequest"`: when the Silencing Rule request payload is invalid. Per-field validation errors are returned
`"errorCode": "ErrBadRequest"`: when the Silencing Rule request payload is invalid. Per-field validation errors are returned
#### 401 - `"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
`"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
#### 403 - `"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or create an Alert Notification Silencing Rule
`"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or create an Alert Notification Silencing Rule
#### 422 - `"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
`"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
#### 500 - `"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
`"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
### Example Usage
```bash
curl -X POST "https://api.example.com/api/v2/spaces/{spaceID}/notifications/silencing/rule"
```
```
--------------------------------
### POST /api/v2/spaces/{spaceID}/rooms/{roomID}/alerts:misconfigured
Source: https://app.netdata.cloud/api/docs/swagger.json
Retrieve alerts that are firing too often, stuck in a raised state, silenced for too long, or never dispatched for a given room
```markdown
### Parameters
- **spaceID** (string, path, required): The unique identifier of the space.
- **roomID** (string, path, required): The unique identifier of the room.
- **request** (github_com_netdata_cloud-alarm-processor-service_api.misconfiguredAlertsRequest, body, optional): Optional category filter and threshold overrides
### Responses
#### 200 - The misconfigured alerts results
Empty response body
#### 400 - `\"errorCode\": \"ErrBadRequest\"`: when the request payload is invalid
`\"errorCode\": \"ErrBadRequest\"`: when the request payload is invalid
#### 401 - `\"errorCode\": \"ErrUnauthorized\"`: when the provided user token/cookie cannot be matched with an account
`\"errorCode\": \"ErrUnauthorized\"`: when the provided user token/cookie cannot be matched with an account
#### 403 - `\"errorCode\": \"ErrForbidden\"`: when caller is not authorized to access the space or room
`\"errorCode\": \"ErrForbidden\"`: when caller is not authorized to access the space or room
#### 422 - `\"errorCode\": \"ErrUnprocessableEntity\"`: when invalid spaceID or roomID is provided
`\"errorCode\": \"ErrUnprocessableEntity\"`: when invalid spaceID or roomID is provided
#### 500 - `\"errorCode\": \"ErrInternal\"`: when some Internal Server Error has occurred
`\"errorCode\": \"ErrInternal\"`: when some Internal Server Error has occurred
### Example Usage
```bash
curl -X POST "https://api.example.com/api/v2/spaces/{spaceID}/rooms/{roomID}/alerts:misconfigured"
```
```
--------------------------------
### POST /api/v2/spaces/{spaceID}/notifications/silencing/rrule/evaluate
Source: https://app.netdata.cloud/api/docs/swagger.json
Evaluates an RRule string and returns the next occurrences within the specified time window.
This endpoint allows users to verify their rrule configuration for silencing rules.
```markdown
### Parameters
- **request** (github_com_netdata_cloud-api-docs_cloud-alarm-processor-service_api.evaluateRRuleReq, body, required): The RRule evaluation request
- **spaceID** (string, path, required): The unique identifier of the requested space.
### Responses
#### 200 - The evaluated RRule occurrences
Empty response body
#### 400 - `\"errorCode\": \"ErrBadRequest\"`: when the request payload is invalid
`\"errorCode\": \"ErrBadRequest\"`: when the request payload is invalid
#### 401 - `\"errorCode\": \"ErrUnauthorized\"`: when the provided user token/cookie cannot be matched with an account
`\"errorCode\": \"ErrUnauthorized\"`: when the provided user token/cookie cannot be matched with an account
#### 403 - `\"errorCode\": \"ErrForbidden\"`: when caller has no permissions to access the space or evaluate silencing rrules
`\"errorCode\": \"ErrForbidden\"`: when caller has no permissions to access the space or evaluate silencing rrules
#### 413 - `\"errorCode\": \"ErrRequestEntityTooLarge\"`: when the rrule evaluation exceeds the allowed processing time, indicating a too wide time window
`\"errorCode\": \"ErrRequestEntityTooLarge\"`: when the rrule evaluation exceeds the allowed processing time, indicating a too wide time window
#### 422 - `\"errorCode\": \"ErrUnprocessableEntity\"`: when invalid spaceID is provided
`\"errorCode\": \"ErrUnprocessableEntity\"`: when invalid spaceID is provided
#### 500 - `\"errorCode\": \"ErrInternal\"`: when some Internal Server Error has occurred
`\"errorCode\": \"ErrInternal\"`: when some Internal Server Error has occurred
### Example Usage
```bash
curl -X POST "https://api.example.com/api/v2/spaces/{spaceID}/notifications/silencing/rrule/evaluate"
```
```
--------------------------------
### PUT /api/v2/spaces/{spaceID}/notifications/silencing/rule/ruleID
Source: https://app.netdata.cloud/api/docs/swagger.json
Updates an existing Alert Notification Silencing Rule according to the specifications provided
```markdown
### Parameters
- **rule** (github_com_netdata_cloud-api-docs_cloud-alarm-processor-service_api.silencingRule, body, required): The Silencing Rule definition to overwrite the existing one
- **spaceID** (string, path, required): The unique identifier of the requested space.
- **ruleID** (string, path, required): The unique identifier of the Silencing Rule to be updated.
### Responses
#### 200 - The newly updated Silencing Rule
Empty response body
#### 400 - `"errorCode": "ErrBadRequest"`: when the Silencing Rule ID or request payload is invalid. Per-field validation errors are returned in case of invalid Silencing Rule definition
`"errorCode": "ErrBadRequest"`: when the Silencing Rule ID or request payload is invalid. Per-field validation errors are returned in case of invalid Silencing Rule definition
#### 401 - `"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
`"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
#### 403 - `"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or update an Alert Notification Silencing Rule
`"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or update an Alert Notification Silencing Rule
#### 404 - `"errorCode": "ErrNotFound"`: when the Silencing Rule to be updated was not found
`"errorCode": "ErrNotFound"`: when the Silencing Rule to be updated was not found
#### 422 - `"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
`"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
#### 500 - `"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
`"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
### Example Usage
```bash
curl -X PUT "https://api.example.com/api/v2/spaces/{spaceID}/notifications/silencing/rule/ruleID"
```
```
--------------------------------
### POST /api/v2/spaces/{spaceID}/notifications/silencing/rules/delete
Source: https://app.netdata.cloud/api/docs/swagger.json
Deletes the targeted Alert Notification Silencing Rules of a given space
```markdown
### Parameters
- **ruleIDs** (array (string), body, required): The Silencing Rule UUIDs
- **spaceID** (string, path, required): The unique identifier of the requested space.
### Responses
#### 200 - OK
Empty response body
#### 400 - `"errorCode": "ErrBadRequest"`: at least one of the Silencing Rule IDs in the request payload is invalid
`"errorCode": "ErrBadRequest"`: at least one of the Silencing Rule IDs in the request payload is invalid
#### 401 - `"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
`"errorCode": "ErrUnauthorized"`: when the provided user token/cookie cannot be matched with an account
#### 403 - `"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or delete Alert Notification Silencing Rules
`"errorCode": "ErrForbidden"`: when caller is not authorized to access the space or delete Alert Notification Silencing Rules
#### 422 - `"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
`"errorCode": "ErrUnprocessableEntity"`: when invalid spaceID is provided.
#### 500 - `"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
`"errorCode": "ErrInternal"`: when some Internal Server Error has occurred
### Example Usage
```bash
curl -X POST "https://api.example.com/api/v2/spaces/{spaceID}/notifications/silencing/rules/delete"
```
```
=== COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.